Package dev.plex.event

# Class GameModeUpdateEvent

java.lang.Object
org.bukkit.event.Event
dev.plex.event.GameModeUpdateEvent

public class GameModeUpdateEvent extends org.bukkit.event.Event

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.bukkit.event.Event

  `org.bukkit.event.Event.Result`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private final org.bukkit.GameMode`
  `gameMode`
  `private static final org.bukkit.event.HandlerList`
  `handlers`
  `private final org.bukkit.entity.Player`
  `player`
  `private final org.bukkit.command.CommandSender`
  `sender`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GameModeUpdateEvent()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.bukkit.event.HandlerList`
  `getHandlerList()`
  `@NotNull org.bukkit.event.HandlerList`
  `getHandlers()`

  ### Methods inherited from class org.bukkit.event.Event

  `callEvent, getEventName, isAsynchronous`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### handlers

    private static final org.bukkit.event.HandlerList handlers

  - ### sender

    private final org.bukkit.command.CommandSender sender

  - ### player

    private final org.bukkit.entity.Player player

  - ### gameMode

    private final org.bukkit.GameMode gameMode

- ## Constructor Details

  - ### GameModeUpdateEvent

    public GameModeUpdateEvent()

- ## Method Details

  - ### getHandlerList

    public static org.bukkit.event.HandlerList getHandlerList()

  - ### getHandlers

    @NotNull public @NotNull org.bukkit.event.HandlerList getHandlers()
    Specified by:
      `getHandlers` in class `org.bukkit.event.Event`